VST 3 Interfaces: Event Struct Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Attributes | List of all members
Event Struct Reference

    Event

Structure representing a single Event of different types associated to a specific event (kEvent) bus. More...

`#include <ivstevents.h>`

## Public Types
enum | EventFlags { kIsLive = 1 << 0, kUserReserved1 = 1 << 14, kUserReserved2 = 1 << 15 }
| Event Flags - used for Event::flags. More...
enum | EventTypes { kNoteOnEvent = 0, kNoteOffEvent = 1, kDataEvent = 2, kPolyPressureEvent = 3, kNoteExpressionValueEvent = 4, kNoteExpressionTextEvent = 5, kChordEvent = 6, kScaleEvent = 7, kLegacyMIDICCOutEvent = 65535 }
| Event Types - used for Event::type. More...

## Public Attributes
int32 | busIndex
| event bus index
int32 | sampleOffset
| sample frames related to the current block start sample position
TQuarterNotes | ppqPosition
| position in project
uint16 | flags
| combination of EventFlags
uint16 | type
| a value from EventTypes
union {
NoteOnEvent noteOn
| type == kNoteOnEvent
NoteOffEvent noteOff
| type == kNoteOffEvent
DataEvent data
| type == kDataEvent
PolyPressureEvent polyPressure
| type == kPolyPressureEvent
NoteExpressionValueEvent noteExpressionValue
| type == kNoteExpressionValueEvent
NoteExpressionTextEvent noteExpressionText
| type == kNoteExpressionTextEvent
ChordEvent chord
| type == kChordEvent
ScaleEvent scale
| type == kScaleEvent
LegacyMIDICCOutEvent midiCCOut
| type == kLegacyMIDICCOutEvent
}; |

## Detailed Description

    Event

Structure representing a single Event of different types associated to a specific event (kEvent) bus.

## Member Enumeration Documentation

enum EventFlags

Event Flags - used for Event::flags.

Enumerator
kIsLive | indicates that the event is played live (directly from keyboard)
kUserReserved1 | reserved for user (for internal use)
kUserReserved2 | reserved for user (for internal use)

enum EventTypes

Event Types - used for Event::type.

Enumerator
kNoteOnEvent | is NoteOnEvent
kNoteOffEvent | is NoteOffEvent
kDataEvent | is DataEvent
kPolyPressureEvent | is PolyPressureEvent
kNoteExpressionValueEvent | is NoteExpressionValueEvent
kNoteExpressionTextEvent | is NoteExpressionTextEvent
kChordEvent | is ChordEvent
kScaleEvent | is ScaleEvent
kLegacyMIDICCOutEvent | is LegacyMIDICCOutEvent

## Member Data Documentation

int32 busIndex

event bus index

int32 sampleOffset

sample frames related to the current block start sample position

TQuarterNotes ppqPosition

position in project

uint16 flags

combination of EventFlags

uint16 type

a value from EventTypes

NoteOnEvent noteOn

type == kNoteOnEvent

NoteOffEvent noteOff

type == kNoteOffEvent

DataEvent data

type == kDataEvent

PolyPressureEvent polyPressure

type == kPolyPressureEvent

NoteExpressionValueEvent noteExpressionValue

type == kNoteExpressionValueEvent

NoteExpressionTextEvent noteExpressionText

type == kNoteExpressionTextEvent

ChordEvent chord

type == kChordEvent

ScaleEvent scale

type == kScaleEvent

LegacyMIDICCOutEvent midiCCOut

type == kLegacyMIDICCOutEvent

union { ... }

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.